Bug 682515 - libgda-4.1.4-1.fc13.src.rpm does not rebuild on Fedora 13 for ARM
Summary: libgda-4.1.4-1.fc13.src.rpm does not rebuild on Fedora 13 for ARM
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgda
Version: 13
Hardware: arm7
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2011-03-06 10:27 UTC by Niels de Vos
Modified: 2011-06-01 21:34 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-01 21:34:19 UTC


Attachments (Terms of Use)
add -lm to LDFLAGS (683 bytes, patch)
2011-03-06 10:37 UTC, Niels de Vos
no flags Details | Diff

Description Niels de Vos 2011-03-06 10:27:54 UTC
Description of problem:
https://fedorahosted.org/arm/ticket/7 was opened because libgda-4.1.4-1.fc13.src.rpm can not be built on the current ARM-Koji builders.

Fedora 13 is the current release being rebuilt for ARM.


Version-Release number of selected component (if applicable):
libgda-4.1.4-1.fc13.src.rpm


How reproducible:
100%


Steps to Reproduce:
1. fedpkg clone libgda
2. cd libgda/
3. fedpkg switch-branch f13
4. fedpkg srpm
5. arm-koji build dist-f13 libgda-4.1.4-1.fc13.src.rpm


Actual results:
libgda fails building


Expected results:
libgda builds and generates RPMs for the arm5vtel architecture


Additional info:
The build.log from http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=87873 ends with

  CC     main.o
gcc -DPACKAGE_NAME=\"GNU\ Data\ Access\" -DPACKAGE_TARNAME=\"libgda\" -DPACKAGE_VERSION=\"4.1.6\" -DPACKAGE_STRING=\"GNU\ Data\ Access\ 4.1.6\" -DPACKAGE_BUGREPORT=\"gnome-db-list@gnome.org\" -DPACKAGE_URL=\"http://www.gnu.org/software/libgda/\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DSIZEOF_UNSIGNED_INT=4 -DSIZEOF_UNSIGNED_LONG_INT=4 -DSTDC_HEADERS=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_GDU=1 -DGETTEXT_PACKAGE=\"libgda-4.0\" -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -DHAVE_UI=1 -DHAVE_GTKSOURCEVIEW=1 -DHAVE_GOOCANVAS=1 -DHAVE_GRAPHVIZ=1 -DHAVE_UNIQUE=1 -DISO_CODES_PREFIX=\"\" -DHAVE_MYSQL=1 -DHAVE_POSTGRES=1 -DHAVE_MDB=1 -DMDB_WITH_WRITE_SUPPORT=1 -DMDB_BIND_COLUMN_FOUR_ARGS=1 -DHAVE_JAVA=1 -DHAVE_LIBSOUP=1 -DHAVE_READLINE=1 -DHAVE_HISTORY=1 -I.  -I../.. -I../../libgda -I../../libgda/sqlite -I../.. -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   -DLIBGDA_ABI_NAME=\"libgda-4.0\" -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -pthread -I/usr/include/gtksourceview-2.0 -I/usr/include/libxml2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DPREFIX=\""/usr"\" -DSYSCONFDIR=\""/etc"\" -DDATADIR=\""/usr/share"\" -DLIBDIR=\""/usr/lib"\"   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=armv5te -c main.c
  CCLD   gda-browser-4.0
/usr/bin/ld: ../../tools/browser/canvas/.libs/libcanvas.a(browser-canvas-utility.o): undefined reference to symbol 'sqrt@@GLIBC_2.4'
/usr/bin/ld: note: 'sqrt@@GLIBC_2.4' is defined in DSO /lib/libm.so.6 so try adding it to the linker command line
/lib/libm.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status

Comment 1 Niels de Vos 2011-03-06 10:37:58 UTC
Created attachment 482504 [details]
add -lm to LDFLAGS

This patch for the .spec adds an

export LDFLAGS="$LDFLAGS -lm"

before the %configure. This ensures that the linker finds libm.so and makes building succeed. The (scratch-build) result can be found at http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=87877 .

Probably a better solution is to add AC_CHECK_LIB(m, sqrt) somewhere in the configure.in. But I'll leave that up to decide for the packager.

Comment 2 Bug Zapper 2011-05-30 11:05:22 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Niels de Vos 2011-06-01 21:34:19 UTC
looks like it was fixed already:

https://arm.koji.fedoraproject.org/koji/buildinfo?buildID=14668

* Thu Mar 10 2011 Chris Tyler <chris@tylers.info> - 1:4.1.4-2
- Added explicit linking for libm.so for DSO fix.


Note You need to log in before you can comment on or make changes to this bug.